Skip to content

Deployment Status.

GET
/api/shape/bot/namespaces/{namespace}/bot_infrastructures/{name}/deployment_status
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_infrastructures/example/deployment_status \
--header 'Authorization: <Authorization>'

GET deployment status.

Examples of this operation.

namespace
required
string

Name Space x-required Name Space.

name
required
string

Name x-required Name Space.

A successful response.

Media typeapplication/json
DeploymentStatusResponse

Response for status of cluster after policies deployment.

object
deployment_data

Data or content configuration

Array<object>
DeploymentData

Deployment status of cluster after policies deployment.

object
deployment_status
Deployment Status

Deployment Status Required: YES.

string
<= 1024 characters
deployment_type
string
default: CLOUD_HOSTED
Allowed values: CLOUD_HOSTED HOSTED ON_PREM
details
Details

Details Required: YES.

string
<= 1024 characters
last_deployed_by
Last deployed by

User who deployed the policy at last Required: YES.

string
<= 1024 characters
last_deployed_on
Last deployed on

Last deployed on Required: YES.

string format: date-time
<= 1024 characters
name
Name

Name Required: YES.

string
>= 6 characters <= 1024 characters
policies
Policies

Policies Required: YES.

Array<string>
region
Region

Region Required: YES.

string
<= 1024 characters
Example
{
"deployment_data": [
{
"deployment_type": "CLOUD_HOSTED"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example